/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   libftx.h                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/26 14:47:54 by cchauvet          #+#    #+#             */
/*   Updated: 2023/05/02 13:17:30 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef LIBFTX_H
# define LIBFTX_H
# include <stdlib.h>
# include <unistd.h>
# include <stdarg.h>
# include "./libft/libft.h"
# include "./extra/extra.h"

size_t	ft_tablen(const void **tab);
char	*ft_ultoa_base(unsigned long long n, char *base);
int		ft_printf(const char *format, ...);
int		ft_eprintf(const char *format, ...);
int		ft_dprintf(int fd, const char *format, ...);
int		ft_dprintf(int fd, const char *format, ...);
char	*get_next_line(int fd);
size_t	ft_random_generator(size_t start, size_t stop);
void	ft_freer_tab_ultimate(size_t len, ...);
void	ft_freer_ultimate(size_t len, ...);
char	*ft_strgen(char c, size_t len);
int		ft_is_in(const char *str, char c);
char	**ft_tabrealloc(char **tab, size_t current_size, size_t new_size);
int		ft_contain_only_str(const char *str, const char *to_find);
int		ft_contain_only(const char *str, char c);
char	*ft_strfjoin(char *s1, char *s2);
char	*ft_strmerger(size_t arg_len, ...);
int		ft_strcmp(const char *s1, const char *s2);
ssize_t	ft_strchri(char *str, char c);
char	*ft_strndup(const char *src, size_t n);
void	ft_swap(void *a, void *b);
void	ft_swap_int(int *a, int *b);
void	ft_swap_char(char *a, char *b);

#endif
